Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## alice.tuprolog
Class ChoicePointStore

    java.lang.Object
      alice.tuprolog.ChoicePointStore

public class ChoicePointStore
extends java.lang.Object

Constructor Summary
`ChoicePointStore()`

Method Summary
`void` | `add(ChoicePointContext cpc)`
`void` | `cut(ChoicePointContext pointerAfterCut)`
`protected boolean` | `existChoicePoint()` Check if a choice point exists in the store.
`ChoicePointContext` | `fetch()` Return the correct choice-point
`java.util.List` | `getChoicePoints()`
`ChoicePointContext` | `getPointer()` Return the actual choice-point store
`protected void` | `removeUnusedChoicePoints()` Removes choice points which have been already used and are now empty.
`java.lang.String` | `toString()` Cut at defined depth (toDepth)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChoicePointStore

    public ChoicePointStore()

Method Detail

### add

    public void add(ChoicePointContext cpc)

### cut

    public void cut(ChoicePointContext pointerAfterCut)

### fetch

    public ChoicePointContext fetch()

  Return the correct choice-point

### getPointer

    public ChoicePointContext getPointer()

  Return the actual choice-point store

  Returns:

### existChoicePoint

    protected boolean existChoicePoint()

  Check if a choice point exists in the store. As a side effect, removes choice points which have been already used and are now empty.

  Returns:

### removeUnusedChoicePoints

    protected void removeUnusedChoicePoints()

  Removes choice points which have been already used and are now empty.

### toString

    public java.lang.String toString()

  Cut at defined depth (toDepth)

### getChoicePoints

    public java.util.List getChoicePoints()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD